diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
index b41c8aed..7ac2d18e 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
@@ -9,7 +9,7 @@
  */
 function ldap_feeds_ctools_plugin_api($owner, $api) {
   if ($owner == 'feeds' && $api == 'plugins') {
-  return array('version' => 1);
+    return ['version' => 1];
   }
 }
 
@@ -19,43 +19,45 @@ function ldap_feeds_ctools_plugin_api($owner, $api) {
 function ldap_feeds_feeds_plugins() {
 
   $path = drupal_get_path('module', 'ldap_feeds');
-  $info = array();
+  $info = [];
 
-  $info['FeedsLdapQueryFetcher'] = array(
+  $info['FeedsLdapQueryFetcher'] = [
     'name' => 'LDAP Query Fetcher',
     'description' => 'Fetch content from ldap query',
-    'handler' => array(
-      'parent' => 'FeedsFetcher', // This is the key name, not the class name.
+    'handler' => [
+       // This is the key name, not the class name.
+      'parent' => 'FeedsFetcher',
       'class' => 'FeedsLdapQueryFetcher',
       'file' => 'FeedsLdapQueryFetcher.inc',
       'path' => $path,
-    ),
-  );
+    ],
+  ];
 
-  $info['FeedsDrupalUserLdapEntryFetcher'] = array(
+  $info['FeedsDrupalUserLdapEntryFetcher'] = [
     'name' => 'Drupal User LDAP Entry Fetcher',
     'description' => 'Fetches one entry for each LDAP authenticated user.  Fetches both LDAP entry attributes such as
     <code>cn, dn,</code> etc.
       and Drupal user data such as <code>uid, name, mail, created, status, language, </code>and <code>signature</code>.
       Make sure to add dn in your LDAP query for this parser, if you use custom attributes.',
-    'handler' => array(
-      'parent' => 'FeedsFetcher', // This is the key name, not the class name.
+    'handler' => [
+      // This is the key name, not the class name.
+      'parent' => 'FeedsFetcher',
       'class' => 'FeedsDrupalUserLdapEntryFetcher',
       'file' => 'FeedsDrupalUserLdapEntryFetcher.inc',
       'path' => $path,
-    ),
-  );
+    ],
+  ];
 
-  $info['FeedsLdapEntryParser'] = array(
+  $info['FeedsLdapEntryParser'] = [
     'name'        => t('LDAP Entry Parser for Feeds'),
     'description' => t('Parse an LDAP Entry Array'),
-    'handler'     => array(
+    'handler'     => [
       'parent' => 'FeedsParser',
       'class'  => 'FeedsLdapEntryParser',
       'file'   => 'FeedsLdapEntryParser.inc',
       'path'   => $path,
-    ),
-  );
+    ],
+  ];
 
   return $info;
 
@@ -70,32 +72,33 @@ function ldap_feeds_enable() {
   cache_clear_all('plugins:feeds:plugins', 'cache');
 }
 
+/**
+ *
+ */
 function ldap_feeds_drupal_user_attributes() {
 
-  $attributes = array(
-    'uid' => array('token' => 'drupal.uid', 'description' => 'Drupal used id.  e.g. 413'),
-    'name' => array('token' => 'drupal.name', 'description' => 'Drupal username.  e.g. jdoe'),
-    'mail' => array('token' => 'drupal.mail', 'description' => 'Drupal email address.  e.g. jdoe@gmail.com'),
-    'created' => array('token' => 'drupal.created', 'description' => 'Drupal account created timestamp in unix e.g. 432432432'),
-    'status' => array('token' => 'drupal.status', 'description' => 'Drupal user status  e.g. 1 or 0'),
-    'language' => array('token' => 'drupal.language', 'description' => 'Drupal language.'),
-    'signature' => array('token' => 'drupal.signature', 'description' => 'Drupal signature.  e.g. Happy Joe'),
-    'login' => array('token' => 'drupal.login', 'description' => 'Drupal unix timestamp of last login  e.g. 1317494439'),
-    'init' => array('token' => 'drupal.init', 'description' => 'Drupal user init  e.g. jdoe@gmail.com'),
-  );
+  $attributes = [
+    'uid' => ['token' => 'drupal.uid', 'description' => 'Drupal used id.  e.g. 413'],
+    'name' => ['token' => 'drupal.name', 'description' => 'Drupal username.  e.g. jdoe'],
+    'mail' => ['token' => 'drupal.mail', 'description' => 'Drupal email address.  e.g. jdoe@gmail.com'],
+    'created' => ['token' => 'drupal.created', 'description' => 'Drupal account created timestamp in unix e.g. 432432432'],
+    'status' => ['token' => 'drupal.status', 'description' => 'Drupal user status  e.g. 1 or 0'],
+    'language' => ['token' => 'drupal.language', 'description' => 'Drupal language.'],
+    'signature' => ['token' => 'drupal.signature', 'description' => 'Drupal signature.  e.g. Happy Joe'],
+    'login' => ['token' => 'drupal.login', 'description' => 'Drupal unix timestamp of last login  e.g. 1317494439'],
+    'init' => ['token' => 'drupal.init', 'description' => 'Drupal user init  e.g. jdoe@gmail.com'],
+  ];
   // ldap_authentication and some other modules may want to add additional drupal user tokens
   // largely derived from the $user->data array, but possibly from related data such as authmaps
-  // some use cases for alter are simply edge cases
-
+  // some use cases for alter are simply edge cases.
   drupal_alter('ldap_feeds_drupal_user_attributes', $attributes);
 
   return $attributes;
 }
 
 /**
- * show some sample ldap user data to help with mapping interface
+ * Show some sample ldap user data to help with mapping interface.
  */
-
 function ldap_feeds_form_feeds_ui_mapping_form_alter(&$form, &$form_state, $form_id) {
 
   $importer = feeds_importer_load($form['#importer']);
@@ -109,47 +112,41 @@ function ldap_feeds_form_feeds_ui_mapping_form_alter(&$form, &$form_state, $form
 }
 
 /**
- * add additional data to mapping form for ldap query fetcher
+ * Add additional data to mapping form for ldap query fetcher.
  */
 function ldap_feeds_query_legend(&$form, $importer) {
 
   $source = feeds_source($importer->id);
   $fetcher = feeds_plugin('FeedsLdapQueryFetcher', $source->importer->id);
- // $fetcher_result = new FeedsLdapQueryFetcher($source->config);
- // $records = $fetcher->getRaw(); // FeedsSource $source
- // foreach ($records[0] as $field_name => $value) {
-  //  $sources[$field_name] = array(
-  //    'name' => array('#markup' => $field_name),
-   //   'description' => array('#markup' =>  _ldap_feeds_query_legend($records, $field_name)));
- // }
- // $form['legendset']['#description'] = t('Name column is the value that should go in the SOURCE column above.  Description column are from first few records of query in fetcher.', $tokens);
- // $form['legendset']['legend']['sources'] = $sources;
-
 }
 
+/**
+ *
+ */
 function _ldap_feeds_query_legend($records, $field_name) {
-  $examples = array();
+  $examples = [];
   foreach ($records as $i => $record) {
     $examples[] = $record[$field_name];
-    if ($i > 5 ) {
+    if ($i > 5) {
       break;
     }
   }
   return join(', ', array_filter($examples));
 }
+
 /**
- * add additional data to mapping form for drupal user fetcher
+ * Add additional data to mapping form for drupal user fetcher.
  */
 function ldap_feeds_drupal_user_legend(&$form, $importer) {
 
-  $sources = array();
+  $sources = [];
   $servers = ldap_servers_get_servers(NULL, 'enabled');
   $form['legendset']['#description'] = "";
   $drupal_user_attributes = $importer->config['fetcher']['config']['availableDrupalUserAttributes'];
 
   foreach ($drupal_user_attributes as $attr_name => $attr_conf) {
     $id = $attr_conf['token'];
-    $sources[$id] = array('name' => array('#markup' => $id), 'description' => array('#markup' => ''));
+    $sources[$id] = ['name' => ['#markup' => $id], 'description' => ['#markup' => '']];
   }
 
   foreach ($servers as $sid => $ldap_server) {
@@ -162,26 +159,26 @@ function ldap_feeds_drupal_user_legend(&$form, $importer) {
         }
         $id = $attr_conf['token'];
         if ($account) {
-          $sources[$id] = array('name' => array('#markup' => $id), 'description' => array('#markup' => $account->{$attr_name}));
+          $sources[$id] = ['name' => ['#markup' => $id], 'description' => ['#markup' => $account->{$attr_name}]];
         }
       }
 
       $ldap_user = ldap_servers_get_user_ldap_data($ldap_server->testingDrupalUsername, $sid);
       foreach ($ldap_user['attr'] as $id => $value) {
         if (!is_numeric($id) && is_scalar($ldap_user['attr'][$id][0]) && $ldap_user['attr'][$id]['count'] == 1) {
-          $sources[$id] = array('name' => array('#markup' => $id), 'description' => array('#markup' => $ldap_user['attr'][$id][0]));
+          $sources[$id] = ['name' => ['#markup' => $id], 'description' => ['#markup' => $ldap_user['attr'][$id][0]]];
         }
         elseif ($ldap_user['attr'][$id]['count'] > 1) {
           $item = t('MULTIVALUED ATTRIBUTE:') . join(" , \n", $ldap_user['attr'][$id]);
-          $sources[$id] = array('name' => array('#markup' => $id), 'description' => array('#markup' => $item));
+          $sources[$id] = ['name' => ['#markup' => $id], 'description' => ['#markup' => $item]];
         }
       }
       $form['legendset']['#description'] .= t('LDAP Attributes in the source "description" column are from testing ldap user (%testing_user) on the server %sid, which is configured in
-        the ldap server form.', array('%sid' => $sid, '%testing_user' => $ldap_server->testingDrupalUsername));
+        the ldap server form.', ['%sid' => $sid, '%testing_user' => $ldap_server->testingDrupalUsername]);
     }
     else {
-      foreach (array('dn' => 'distinguished name', 'cn' => 'cname') as $id => $value) {
-        $sources[$id] = array('name' => array('#markup' => $id), 'description' => array('#markup' => $value));
+      foreach (['dn' => 'distinguished name', 'cn' => 'cname'] as $id => $value) {
+        $sources[$id] = ['name' => ['#markup' => $id], 'description' => ['#markup' => $value]];
       }
     }
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.examples.inc b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.examples.inc
index 7c669b88..be4c47d6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.examples.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.examples.inc
@@ -3,11 +3,10 @@
 /**
  * @file
  * The ldap_help issues provides a filtered watchdog view for ldap issues.
- *
  */
 
 /**
- * the goal of this function is to illustrate samples from various ldap
+ * The goal of this function is to illustrate samples from various ldap
  * implementations (AD, openldap, etc) alongside default/common
  * ldap module configurations.  The data for the ldaps and the configuration
  * should be the same as is used in the simpletets.
@@ -16,35 +15,34 @@ function ldap_help_examples() {
   module_load_include('php', 'ldap_test', 'LdapTestFunctions.class');
   $test_functions = new LdapTestFunctions();
   drupal_add_library('system', 'drupal.collapse');
-  $sample_ldaps = array(
-   'activedirectory' => 'activedirectory1',
-   'openldap' => 'openldap1',
-  );
+  $sample_ldaps = [
+    'activedirectory' => 'activedirectory1',
+    'openldap' => 'openldap1',
+  ];
 
-
-  $form = array();
-  foreach ($sample_ldaps as  $ldap_type => $sample_ldap_id) {
+  $form = [];
+  foreach ($sample_ldaps as $ldap_type => $sample_ldap_id) {
 
     $sample_ldap_id = $sample_ldaps[$ldap_type];
     $test_functions->populateFakeLdapServerData(LDAP_TEST_LDAP_NAME, $sample_ldap_id);
     $data = $test_functions->data['ldap_servers'][$sample_ldap_id]['ldap'];
-    $form[$sample_ldap_id] = array(
-        '#type' => 'fieldset',
-        '#title' => $ldap_type,
-        '#description' => '',
-        '#attributes' => array('class' => array('collapsible', 'collapsed')),
-        '#collapsible' => TRUE,
-        '#collapsed' => TRUE,
-      );
-    foreach (array('people', 'groups') as $ou) {
-      $form[$sample_ldap_id][$ou] = array(
+    $form[$sample_ldap_id] = [
+      '#type' => 'fieldset',
+      '#title' => $ldap_type,
+      '#description' => '',
+      '#attributes' => ['class' => ['collapsible', 'collapsed']],
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    ];
+    foreach (['people', 'groups'] as $ou) {
+      $form[$sample_ldap_id][$ou] = [
         '#type' => 'fieldset',
         '#title' => "ou=$ou",
         '#description' => '',
-        '#attributes' => array('class' => array('collapsible', 'collapsed')),
+        '#attributes' => ['class' => ['collapsible', 'collapsed']],
         '#collapsible' => TRUE,
         '#collapsed' => TRUE,
-      );
+      ];
     }
 
     foreach ($data as $dn => $item) {
@@ -52,26 +50,26 @@ function ldap_help_examples() {
       $ou = $ou[0];
       unset($item['count']);
 
-      $li = array();
+      $li = [];
       foreach ($item as $attr => $values) {
         unset($values['count']);
         if (count($values) == 1) {
           $li[] = "$attr: " . $values[0] . '<br/>';
         }
         else {
-          $li[]  = theme('item_list', array('items' => $values , 'type' => 'ul', 'title' => $attr));
+          $li[] = theme('item_list', ['items' => $values, 'type' => 'ul', 'title' => $attr]);
         }
       }
-      $form[$sample_ldap_id][$ou][$dn] = array(
+      $form[$sample_ldap_id][$ou][$dn] = [
         '#type' => 'fieldset',
-        '#attributes' => array('class' => array('collapsible', 'collapsed')),
+        '#attributes' => ['class' => ['collapsible', 'collapsed']],
         '#title' => $dn,
         '#collapsible' => TRUE,
         '#collapsed' => TRUE,
-      );
-      $form[$sample_ldap_id][$ou][$dn][] = array(
-        '#markup' => theme('item_list', array('items' => $li , 'type' => 'ul', 'title' => '')),
-      );
+      ];
+      $form[$sample_ldap_id][$ou][$dn][] = [
+        '#markup' => theme('item_list', ['items' => $li, 'type' => 'ul', 'title' => '']),
+      ];
 
     }
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
index 9f459df9..260f7e7a 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
@@ -2,12 +2,13 @@ name = LDAP Help
 description = LDAP Help for configuration and reporting issues.
 package = Lightweight Directory Access Protocol
 core = 7.x
+php = 5.4
 
 dependencies[] = ldap_servers
 dependencies[] = ldap_test
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.install b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.install
index ada185fb..64f38fe7 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.install
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.install
@@ -2,14 +2,13 @@
 
 /**
  * @file
- * LDAP Help Install File
+ * LDAP Help Install File.
  */
 
 /**
  * Implements hook_uninstall().
  */
 function ldap_help_uninstall() {
-  //$result = db_query('DELETE FROM {variables} WHERE name like "ldap_authentication_%"');
   variable_del('ldap_help_watchdog_detail');
   variable_del('ldap_help_user_data_clear');
   variable_del('ldap_help_user_data_clear_set_date');
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.issues.inc b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.issues.inc
index 0d5ee11f..040d7fb4 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.issues.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.issues.inc
@@ -3,9 +3,11 @@
 /**
  * @file
  * The ldap_help issues provides a filtered watchdog view for ldap issues.
- *
  */
 
+/**
+ *
+ */
 function ldap_help_issues() {
 
   $text = '<h3>' . t('LDAP Help Module') . '</h3><p>' .
@@ -54,6 +56,5 @@ Additional directions are at the beginning of the add issue form at
 $ldap_config
 EOT;
 
-
   return $text;
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.module b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.module
index 9378f16f..0ec94aa0 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.module
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.module
@@ -3,100 +3,103 @@
 /**
  * @file
  * The ldaphelp module is a module to help admins debug ldap_integration modules.
- *
  */
 
 /**
  * Implements hook_menu().
  */
 function ldap_help_menu() {
-  $items = array();
-  $items['admin/config/people/ldap/help'] = array(
+  $items = [];
+  $items['admin/config/people/ldap/help'] = [
     'title' => 'Help',
     'type' => MENU_LOCAL_TASK,
     'weight' => 9,
     'description' => 'Debugging and Configuration Help with LDAP',
     'file' => 'ldap_help.resources.inc',
     'page callback' => 'ldap_help_main',
-    'access arguments' => array('administer site configuration'),
-  );
+    'access arguments' => ['administer site configuration'],
+  ];
 
-  $items['admin/config/people/ldap/help/intro'] = array(
+  $items['admin/config/people/ldap/help/intro'] = [
     'title' => 'Resources',
     'type' => MENU_DEFAULT_LOCAL_TASK,
-  );
+  ];
 
-  $items['admin/config/people/ldap/help/status'] = array(
+  $items['admin/config/people/ldap/help/status'] = [
     'title' => 'Status',
     'description' => 'LDAP status page',
     'page callback' => 'ldap_help_status',
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_help.status.inc',
     'type' => MENU_LOCAL_TASK,
     'weight' => 4,
-  );
+  ];
 
-  $items['admin/config/people/ldap/help/watchdog'] = array(
+  $items['admin/config/people/ldap/help/watchdog'] = [
     'title' => 'Watchdog',
     'description' => 'LDAP watchdog logs',
     'page callback' => 'ldap_help_watchdog',
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_help.watchdog.inc',
     'type' => MENU_LOCAL_TASK,
     'weight' => 5,
-  );
+  ];
 
-  $items['admin/config/people/ldap/help/issues'] = array(
+  $items['admin/config/people/ldap/help/issues'] = [
     'title' => 'Issue Reporting',
     'description' => 'Creating LDAP Issue Queue Items',
     'page callback' => 'ldap_help_issues',
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_help.issues.inc',
     'type' => MENU_LOCAL_TASK,
     'weight' => 7,
-  );
-
+  ];
 
-  $items['admin/config/people/ldap/help/examples'] = array(
+  $items['admin/config/people/ldap/help/examples'] = [
     'title' => 'Sample LDAPs',
     'description' => 'Sample LDAPs from Documentation',
     'page callback' => 'ldap_help_examples',
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_help.examples.inc',
     'type' => MENU_LOCAL_TASK,
     'weight' => 7,
-  );
-
+  ];
 
   return $items;
 }
 
+/**
+ *
+ */
 function ldap_help_form_ldap_servers_settings_alter(&$form, &$form_state) {
-  $form['watchdog_detail'] = array('#type' => 'fieldset', '#title' => t('Development'));
-  $form['watchdog_detail']['watchdog_detail'] = array(
+  $form['watchdog_detail'] = ['#type' => 'fieldset', '#title' => t('Development')];
+  $form['watchdog_detail']['watchdog_detail'] = [
     '#type' => 'checkbox',
     '#title' => t('Enabled Detailed LDAP Watchdog logging.  This is generally for
        debugging and reporting issues with the ldap modules and should not be left
        on.'),
     '#default_value' => variable_get('ldap_help_watchdog_detail', 0),
-  );
- $date = variable_get('ldap_help_user_data_clear_set_date', time());
- $form['watchdog_detail']['user_data_clear'] = array(
+  ];
+  $date = variable_get('ldap_help_user_data_clear_set_date', time());
+  $form['watchdog_detail']['user_data_clear'] = [
     '#type' => 'checkbox',
     '#title' => t('Discard and ignore user authorization data stored by ldap module in user records data before %date.
       This is useful for implementers of development versions of the module
-      that may have corrupt user data from the past.', array('%date' => date('Y-m-d H:i:s', $date))),
+      that may have corrupt user data from the past.', ['%date' => date('Y-m-d H:i:s', $date)]),
     '#default_value' => variable_get('ldap_help_user_data_clear', 0),
-  );  //array('%date' => date('Y-m-d H:i:s', $date))
- $form['watchdog_detail']['user_data_clear_date'] = array(
+  // array('%date' => date('Y-m-d H:i:s', $date))
+  ];
+  $form['watchdog_detail']['user_data_clear_date'] = [
     '#type' => 'checkbox',
-    '#title' => t('Reset the clear date to the current date %date', array('%date' => date('Y-m-d H:i:s'))),
+    '#title' => t('Reset the clear date to the current date %date', ['%date' => date('Y-m-d H:i:s')]),
     '#default_value' => variable_get('ldap_help_user_data_clear_set_date', 0),
-  );
+  ];
   $form['#submit'][] = 'ldap_help_watchdog_detail_submit';
 }
 
-
+/**
+ *
+ */
 function ldap_help_watchdog_detail_submit($form, &$form_state) {
   if ($form_state['submitted']) {
     $watchdog_detail = $form_state['values']['watchdog_detail'];
@@ -112,6 +115,9 @@ function ldap_help_watchdog_detail_submit($form, &$form_state) {
   }
 }
 
+/**
+ *
+ */
 function ldap_help_help($path, $arg) {
 
   $help = '<h3>' . t('LDAP Help Module') . '</h3><p>' .
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.resources.inc b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.resources.inc
index 11598f4e..983e37c9 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.resources.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.resources.inc
@@ -3,9 +3,11 @@
 /**
  * @file
  * The ldap_help resources are just links.
- *
  */
 
+/**
+ *
+ */
 function ldap_help_main() {
 
   $text = <<<EOT
@@ -51,6 +53,5 @@ function ldap_help_main() {
 
 EOT;
 
-
   return $text;
 }
